package com.fdkankan.scene.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.common.response.ResultData;
import com.fdkankan.scene.entity.SceneCooperation;
import com.fdkankan.scene.entity.SceneProPO;
import com.fdkankan.scene.vo.SceneCooperationParamVO;
import com.fdkankan.scene.vo.SceneParamVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author dengsixing
 * @since 2021-12-23
 */
public interface ISceneCooperationService extends IService<SceneCooperation> {

    void updateRecStatus(String sceneNum);

    String findUserName(String sceneNum);

    SceneCooperation findBySceneNum(String sceneNum);

    ResultData sceneResourceBySceneNum(SceneCooperationParamVO param) throws Exception;

    List<SceneCooperation> getListByUserId(List<Long> userIds);

    Page cooperationSceneListNew(SceneParamVO param) throws Exception;

    List<SceneCooperation> getListByNums(List<String> numList);

    void updateRecStatusList(List<Long> ids);

    void saveByResourceIds(List<SceneProPO> scenePros, Long cameraId, String resourceIds, Long userId);

    Integer getCooperationSceneNum(Long userId, List<Integer> sceneSourceList);
}
